Index: squid/src/cache_manager.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cache_manager.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/cache_manager.c	6 Jan 2001 12:40:12 -0000	1.1.1.2.4.1.2.1
+++ squid/src/cache_manager.c	27 Aug 2001 21:48:20 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: cache_manager.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:12 hno Exp $
+ * $Id: cache_manager.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 16    Cache Manager Objects
  * AUTHOR: Duane Wessels
@@ -37,27 +36,34 @@
 
 #define MGR_PASSWD_SZ 128
 
-typedef struct {
+typedef struct
+{
     StoreEntry *entry;
     char *action;
     char *user_name;
     char *passwd;
-} cachemgrStateData;
+}
+cachemgrStateData;
 
-typedef struct _action_table {
+typedef struct _action_table
+{
     char *action;
     char *desc;
     OBJH *handler;
-    struct {
+    struct
+    {
 	int pw_req:1;
 	int atomic:1;
-    } flags;
+    }
+    flags;
     struct _action_table *next;
-} action_table;
+}
+action_table;
 
 static action_table *cachemgrFindAction(const char *action);
 static cachemgrStateData *cachemgrParseUrl(const char *url);
-static void cachemgrParseHeaders(cachemgrStateData * mgr, const request_t * request);
+static void cachemgrParseHeaders(cachemgrStateData * mgr,
+    const request_t * request);
 static int cachemgrCheckPassword(cachemgrStateData *);
 static void cachemgrStateFree(cachemgrStateData * mgr);
 static char *cachemgrPasswdGet(cachemgr_passwd *, const char *);
@@ -69,7 +75,8 @@
 action_table *ActionTable = NULL;
 
 void
-cachemgrRegister(const char *action, const char *desc, OBJH * handler, int pw_req_flag, int atomic)
+cachemgrRegister(const char *action, const char *desc, OBJH * handler,
+    int pw_req_flag, int atomic)
 {
     action_table *a;
     action_table **A;
@@ -126,7 +133,8 @@
     } else {
 	prot = cachemgrActionProtection(a);
 	if (!strcmp(prot, "disabled") || !strcmp(prot, "hidden")) {
-	    debug(16, 1) ("cachemgrParseUrl: action '%s' is %s\n", request, prot);
+	    debug(16, 1) ("cachemgrParseUrl: action '%s' is %s\n", request,
+		prot);
 	    return NULL;
 	}
     }
@@ -144,11 +152,14 @@
     const char *basic_cookie;	/* base 64 _decoded_ user:passwd pair */
     const char *passwd_del;
     assert(mgr && request);
-    basic_cookie = httpHeaderGetAuth(&request->header, HDR_AUTHORIZATION, "Basic");
+    basic_cookie =
+	httpHeaderGetAuth(&request->header, HDR_AUTHORIZATION, "Basic");
     if (!basic_cookie)
 	return;
     if (!(passwd_del = strchr(basic_cookie, ':'))) {
-	debug(16, 1) ("cachemgrParseHeaders: unknown basic_cookie format '%s'\n", basic_cookie);
+	debug(16,
+	    1) ("cachemgrParseHeaders: unknown basic_cookie format '%s'\n",
+	    basic_cookie);
 	return;
     }
     /* found user:password pair, reset old values */
@@ -158,7 +169,8 @@
     mgr->user_name[passwd_del - basic_cookie] = '\0';
     mgr->passwd = xstrdup(passwd_del + 1);
     /* warning: this prints decoded password which maybe not what you want to do @?@ @?@ */
-    debug(16, 9) ("cachemgrParseHeaders: got user: '%s' passwd: '%s'\n", mgr->user_name, mgr->passwd);
+    debug(16, 9) ("cachemgrParseHeaders: got user: '%s' passwd: '%s'\n",
+	mgr->user_name, mgr->passwd);
 }
 
 /*
@@ -256,12 +268,7 @@
 	HttpReply *rep = entry->mem_obj->reply;
 	/* prove there are no previous reply headers around */
 	assert(0 == rep->sline.status);
-	httpReplySetHeaders(rep,
-	    (double) 1.0,
-	    HTTP_OK,
-	    NULL,
-	    "text/plain",
-	    -1,			/* C-Len */
+	httpReplySetHeaders(rep, (double) 1.0, HTTP_OK, NULL, "text/plain", -1,	/* C-Len */
 	    squid_curtime,	/* LMT */
 	    squid_curtime);
 	httpReplySwapOut(rep, entry);
@@ -335,13 +342,9 @@
 void
 cachemgrInit(void)
 {
-    cachemgrRegister("menu",
-	"This Cachemanager Menu",
-	cachemgrMenu, 0, 1);
+    cachemgrRegister("menu", "This Cachemanager Menu", cachemgrMenu, 0, 1);
     cachemgrRegister("shutdown",
-	"Shut Down the Squid Process",
-	cachemgrShutdown, 1, 1);
+	"Shut Down the Squid Process", cachemgrShutdown, 1, 1);
     cachemgrRegister("offline_toggle",
-	"Toggle offline_mode setting",
-	cachemgrOfflineToggle, 1, 1);
+	"Toggle offline_mode setting", cachemgrOfflineToggle, 1, 1);
 }
Index: squid/src/cachemgr.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/cachemgr.c,v
retrieving revision 1.1.1.3.4.1.2.3
retrieving revision 1.1.1.3.4.1.2.3.2.1
diff -u -r1.1.1.3.4.1.2.3 -r1.1.1.3.4.1.2.3.2.1
--- squid/src/cachemgr.c	29 Jul 2001 16:06:05 -0000	1.1.1.3.4.1.2.3
+++ squid/src/cachemgr.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.3.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: cachemgr.c,v 1.1.1.3.4.1.2.3 2001/07/29 16:06:05 serassio Exp $
+ * $Id: cachemgr.c,v 1.1.1.3.4.1.2.3.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 0     CGI Cache Manager
  * AUTHOR: Duane Wessels
@@ -131,7 +130,8 @@
 
 #ifdef _SQUID_MSWIN_
 static int s_iInitCount = 0;
-int Win32SockInit(void)
+int
+Win32SockInit(void)
 {
     int iVersionRequested;
     WSADATA wsaData;
@@ -140,8 +140,7 @@
     if (s_iInitCount > 0) {
 	s_iInitCount++;
 	return (0);
-    }
-    else if (s_iInitCount < 0)
+    } else if (s_iInitCount < 0)
 	return (s_iInitCount);
 
     /* s_iInitCount == 0. Do the initailization */
@@ -151,8 +150,7 @@
 	s_iInitCount = -1;
 	return (s_iInitCount);
     }
-    if (LOBYTE(wsaData.wVersion) != 2 ||
-	HIBYTE(wsaData.wVersion) != 0) {
+    if (LOBYTE(wsaData.wVersion) != 2 || HIBYTE(wsaData.wVersion) != 0) {
 	s_iInitCount = -2;
 	WSACleanup();
 	return (s_iInitCount);
@@ -162,7 +160,8 @@
 }
 
 
-void Win32SockCleanup(void)
+void
+Win32SockCleanup(void)
 {
     if (--s_iInitCount == 0)
 	WSACleanup();
@@ -171,14 +170,16 @@
 
 #endif
 
-typedef struct {
+typedef struct
+{
     char *hostname;
     int port;
     char *action;
     char *user_name;
     char *passwd;
     char *pub_auth;
-} cachemgr_request;
+}
+cachemgr_request;
 
 /*
  * Debugging macros (info goes to error_log on your web server)
@@ -290,9 +291,11 @@
     printf("SIZE=30 VALUE=\"%s\"></TD></TR>\n", host);
     printf("<TR><TH ALIGN=\"left\">Cache Port:</TH><TD><INPUT NAME=\"port\" ");
     printf("SIZE=30 VALUE=\"%d\"></TD></TR>\n", port);
-    printf("<TR><TH ALIGN=\"left\">Manager name:</TH><TD><INPUT NAME=\"user_name\" ");
+    printf
+	("<TR><TH ALIGN=\"left\">Manager name:</TH><TD><INPUT NAME=\"user_name\" ");
     printf("SIZE=30 VALUE=\"%s\"></TD></TR>\n", user_name);
-    printf("<TR><TH ALIGN=\"left\">Password:</TH><TD><INPUT TYPE=\"password\" NAME=\"passwd\" ");
+    printf
+	("<TR><TH ALIGN=\"left\">Password:</TH><TD><INPUT TYPE=\"password\" NAME=\"passwd\" ");
     printf("SIZE=30 VALUE=\"\"></TD></TR>\n");
     printf("</TABLE><BR CLEAR=\"all\">\n");
     printf("<INPUT TYPE=\"submit\" VALUE=\"Continue...\">\n");
@@ -331,12 +334,9 @@
 menu_url(cachemgr_request * req, const char *action)
 {
     static char url[1024];
-    snprintf(url, sizeof(url), "%s?host=%s&port=%d&user_name=%s&operation=%s&auth=%s",
-	script_name,
-	req->hostname,
-	req->port,
-	safe_str(req->user_name),
-	action,
+    snprintf(url, sizeof(url),
+	"%s?host=%s&port=%d&user_name=%s&operation=%s&auth=%s", script_name,
+	req->hostname, req->port, safe_str(req->user_name), action,
 	safe_str(req->pub_auth));
     return url;
 }
@@ -362,24 +362,30 @@
     a_url = xstrdup(menu_url(req, a));
     /* no reason to give a url for a disabled action */
     if (!strcmp(p, "disabled"))
-	snprintf(html, sizeof(html), "<LI type=\"circle\">%s (disabled)<A HREF=\"%s\">.</A>\n", d, a_url);
+	snprintf(html, sizeof(html),
+	    "<LI type=\"circle\">%s (disabled)<A HREF=\"%s\">.</A>\n", d,
+	    a_url);
     else
 	/* disable a hidden action (requires a password, but password is not in squid.conf) */
     if (!strcmp(p, "hidden"))
-	snprintf(html, sizeof(html), "<LI type=\"circle\">%s (hidden)<A HREF=\"%s\">.</A>\n", d, a_url);
+	snprintf(html, sizeof(html),
+	    "<LI type=\"circle\">%s (hidden)<A HREF=\"%s\">.</A>\n", d, a_url);
     else
 	/* disable link if authentication is required and we have no password */
     if (!strcmp(p, "protected") && !req->passwd)
-	snprintf(html, sizeof(html), "<LI type=\"circle\">%s (requires <a href=\"%s\">authentication</a>)<A HREF=\"%s\">.</A>\n",
+	snprintf(html, sizeof(html),
+	    "<LI type=\"circle\">%s (requires <a href=\"%s\">authentication</a>)<A HREF=\"%s\">.</A>\n",
 	    d, menu_url(req, "authenticate"), a_url);
     else
 	/* highlight protected but probably available entries */
     if (!strcmp(p, "protected"))
-	snprintf(html, sizeof(html), "<LI type=\"square\"><A HREF=\"%s\"><font color=\"#FF0000\">%s</font></A>\n",
+	snprintf(html, sizeof(html),
+	    "<LI type=\"square\"><A HREF=\"%s\"><font color=\"#FF0000\">%s</font></A>\n",
 	    a_url, d);
     /* public entry or unknown type of protection */
     else
-	snprintf(html, sizeof(html), "<LI type=\"disk\"><A HREF=\"%s\">%s</A>\n", a_url, d);
+	snprintf(html, sizeof(html),
+	    "<LI type=\"disk\"><A HREF=\"%s\">%s</A>\n", a_url, d);
     xfree(a_url);
     xfree(buf_copy);
     return html;
@@ -388,8 +394,7 @@
 static const char *
 munge_other_line(const char *buf, cachemgr_request * req)
 {
-    static const char *ttags[] =
-    {"td", "th"};
+    static const char *ttags[] = { "td", "th" };
     static char html[4096];
     static int table_line_num = 0;
     static int next_is_header = 0;
@@ -408,11 +413,14 @@
     }
     /* start html table */
     if (!table_line_num) {
-	l += snprintf(html + l, sizeof(html) - l, "</pre><table border=1 cellpadding=2 cellspacing=1>\n");
+	l +=
+	    snprintf(html + l, sizeof(html) - l,
+	    "</pre><table border=1 cellpadding=2 cellspacing=1>\n");
 	next_is_header = 0;
     }
     /* remove '\n' */
-    is_header = (!table_line_num || next_is_header) && !strchr(buf, ':') && !is_number(buf);
+    is_header = (!table_line_num || next_is_header) && !strchr(buf, ':')
+	&& !is_number(buf);
     ttag = ttags[is_header];
     /* record starts */
     l += snprintf(html + l, sizeof(html) - l, "<tr>");
@@ -427,10 +435,11 @@
 	    column_span++;
 	    x++;
 	}
-	l += snprintf(html + l, sizeof(html) - l, "<%s colspan=%d align=\"%s\">%s</%s>",
-	    ttag, column_span,
-	    is_header ? "center" : is_number(cell) ? "right" : "left",
-	    cell, ttag);
+	l +=
+	    snprintf(html + l, sizeof(html) - l,
+	    "<%s colspan=%d align=\"%s\">%s</%s>", ttag, column_span,
+	    is_header ? "center" : is_number(cell) ? "right" : "left", cell,
+	    ttag);
     }
     xfree(buf_copy);
     /* record ends */
@@ -451,9 +460,12 @@
     FILE *fp = fdopen(s, "r");
 #endif
     /* interpretation states */
-    enum {
-	isStatusLine, isHeaders, isBodyStart, isBody, isForward, isEof, isForwardEof, isSuccess, isError
-    } istate = isStatusLine;
+    enum
+    {
+	isStatusLine, isHeaders, isBodyStart, isBody, isForward, isEof,
+	isForwardEof, isSuccess, isError
+    }
+    istate = isStatusLine;
     int parse_menu = 0;
     const char *action = req->action;
     const char *statusStr = NULL;
@@ -467,11 +479,11 @@
 	return 1;
     }
 #ifdef _SQUID_MSWIN_
-    while ((reply=recv(s,buf,sizeof(buf),0))>0)
-	fwrite(buf,1,reply,fp);
+    while ((reply = recv(s, buf, sizeof(buf), 0)) > 0)
+	fwrite(buf, 1, reply, fp);
     rewind(fp);
 #endif
-   if (parse_menu)
+    if (parse_menu)
 	action = "menu";
     /* read reply interpreting one line at a time depending on state */
     while (istate < isEof) {
@@ -495,7 +507,7 @@
 	    break;
 	case isHeaders:
 	    /* forward header field */
-	    if (!strcmp(buf, "\r\n")) {		/* end of headers */
+	    if (!strcmp(buf, "\r\n")) {	/* end of headers */
 		fputs("Content-Type: text/html\r\n", stdout);	/* add our type */
 		istate = isBodyStart;
 	    }
@@ -530,7 +542,8 @@
 	     * 401 to .cgi because web server filters out all auth info. Thus we
 	     * disable authentication headers for now.
 	     */
-	    if (!strncasecmp(buf, "WWW-Authenticate:", 17) || !strncasecmp(buf, "Proxy-Authenticate:", 19));	/* skip */
+	    if (!strncasecmp(buf, "WWW-Authenticate:", 17)
+		|| !strncasecmp(buf, "Proxy-Authenticate:", 19));	/* skip */
 	    else
 		fputs(buf, stdout);
 	    break;
@@ -548,7 +561,8 @@
 	    istate = isError;
 	    break;
 	default:
-	    printf("%s: internal bug: invalid state reached: %d", script_name, istate);
+	    printf("%s: internal bug: invalid state reached: %d", script_name,
+		istate);
 	    istate = isError;
 	}
     }
@@ -607,23 +621,18 @@
 	return 1;
     }
     l = snprintf(buf, sizeof(buf),
-	"GET cache_object://%s/%s HTTP/1.0\r\n"
-	"Accept: */*\r\n"
-	"%s"			/* Authentication info or nothing */
-	"\r\n",
-	req->hostname,
-	req->action,
-	make_auth_header(req));
+	"GET cache_object://%s/%s HTTP/1.0\r\n" "Accept: */*\r\n" "%s"	/* Authentication info or nothing */
+	"\r\n", req->hostname, req->action, make_auth_header(req));
 #ifdef _SQUID_MSWIN_
-    send(s, buf, l,0);
+    send(s, buf, l, 0);
 #else
     write(s, buf, l);
 #endif
     debug(1) fprintf(stderr, "wrote request: '%s'\n", buf);
 #ifdef _SQUID_MSWIN_
-    answer=read_reply(s, req);
+    answer = read_reply(s, req);
     closesocket(s);
-	return answer;
+    return answer;
 #else
     return read_reply(s, req);
 #endif
@@ -652,7 +661,7 @@
 	script_name = xstrdup(s);
 #ifdef _SQUID_MSWIN_
     req = read_request(NULL);
-    answer=process_request(req);
+    answer = process_request(req);
     Win32SockCleanup();
     return answer;
 #else
@@ -692,7 +701,7 @@
 
 #ifdef _SQUID_MSWIN_
 static cachemgr_request *
-read_request(char* buf)
+read_request(char *buf)
 {
 #else
 static cachemgr_request *
@@ -736,8 +745,10 @@
 	    req->action = xstrdup(q);
     }
     make_pub_auth(req);
-    debug(1) fprintf(stderr, "cmgr: got req: host: '%s' port: %d uname: '%s' passwd: '%s' auth: '%s' oper: '%s'\n",
-	safe_str(req->hostname), req->port, safe_str(req->user_name), safe_str(req->passwd), safe_str(req->pub_auth), safe_str(req->action));
+    debug(1) fprintf(stderr,
+	"cmgr: got req: host: '%s' port: %d uname: '%s' passwd: '%s' auth: '%s' oper: '%s'\n",
+	safe_str(req->hostname), req->port, safe_str(req->user_name),
+	safe_str(req->passwd), safe_str(req->pub_auth), safe_str(req->action));
     return req;
 }
 
@@ -759,9 +770,7 @@
     /* host | time | user | passwd */
     snprintf(buf, sizeof(buf), "%s|%d|%s|%s",
 	req->hostname,
-	(int) now,
-	req->user_name ? req->user_name : "",
-	req->passwd);
+	(int) now, req->user_name ? req->user_name : "", req->passwd);
     debug(3) fprintf(stderr, "cmgr: pre-encoded for pub: %s\n", buf);
     debug(3) fprintf(stderr, "cmgr: encoded: '%s'\n", base64_encode(buf));
     req->pub_auth = xstrdup(base64_encode(buf));
@@ -776,10 +785,11 @@
     const char *user_name;
     const char *passwd;
 
-    debug(2) fprintf(stderr, "cmgr: decoding pub: '%s'\n", safe_str(req->pub_auth));
+    debug(2) fprintf(stderr, "cmgr: decoding pub: '%s'\n",
+	safe_str(req->pub_auth));
     safe_free(req->passwd);
-    if (!req->pub_auth || strlen(req->pub_auth) < 4 + strlen(safe_str(req->hostname)))
-	return;
+    if (!req->pub_auth
+	|| strlen(req->pub_auth) < 4 + strlen(safe_str(req->hostname))) return;
     buf = xstrdup(base64_decode(req->pub_auth));
     debug(3) fprintf(stderr, "cmgr: length ok\n");
     /* parse ( a lot of memory leaks, but that is cachemgr style :) */
@@ -788,7 +798,8 @@
     debug(3) fprintf(stderr, "cmgr: decoded host: '%s'\n", host_name);
     if ((time_str = strtok(NULL, "|")) == NULL)
 	return;
-    debug(3) fprintf(stderr, "cmgr: decoded time: '%s' (now: %d)\n", time_str, (int) now);
+    debug(3) fprintf(stderr, "cmgr: decoded time: '%s' (now: %d)\n", time_str,
+	(int) now);
     if ((user_name = strtok(NULL, "|")) == NULL)
 	return;
     debug(3) fprintf(stderr, "cmgr: decoded uname: '%s'\n", user_name);
@@ -825,8 +836,7 @@
 	return "";
 
     snprintf(buf, sizeof(buf), "%s:%s",
-	req->user_name ? req->user_name : "",
-	req->passwd);
+	req->user_name ? req->user_name : "", req->passwd);
 
     str64 = base64_encode(buf);
     l += snprintf(buf, sizeof(buf), "Authorization: Basic %s\r\n", str64);
@@ -834,4 +844,3 @@
 	"Proxy-Authorization: Basic %s\r\n", str64);
     return buf;
 }
-
Index: squid/src/carp.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/carp.c,v
retrieving revision 1.1.1.1.4.4.2.2
retrieving revision 1.1.1.1.4.4.2.2.2.1
diff -u -r1.1.1.1.4.4.2.2 -r1.1.1.1.4.4.2.2.2.1
--- squid/src/carp.c	3 Jun 2001 19:41:48 -0000	1.1.1.1.4.4.2.2
+++ squid/src/carp.c	27 Aug 2001 21:48:20 -0000	1.1.1.1.4.4.2.2.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: carp.c,v 1.1.1.1.4.4.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: carp.c,v 1.1.1.1.4.4.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 39    Cache Array Routing Protocol
  * AUTHOR: Eric Stern
@@ -71,7 +71,8 @@
     if (!p->next)
 	return;
     for (p = p->next; p; p = p->next) {
-	p->carp.load_multiplier = ((K - k + 1) * (p->carp.load_factor - P_last)) / Xn;
+	p->carp.load_multiplier =
+	    ((K - k + 1) * (p->carp.load_factor - P_last)) / Xn;
 	p->carp.load_multiplier += pow(X_last, K - k + 1);
 	p->carp.load_multiplier = pow(p->carp.load_multiplier, 1 / (K - k + 1));
 	Xn *= p->carp.load_multiplier;
Index: squid/src/cbdata.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cbdata.c,v
retrieving revision 1.1.1.2.4.1.2.1
retrieving revision 1.1.1.2.4.1.2.1.2.1
diff -u -r1.1.1.2.4.1.2.1 -r1.1.1.2.4.1.2.1.2.1
--- squid/src/cbdata.c	6 Jan 2001 12:40:12 -0000	1.1.1.2.4.1.2.1
+++ squid/src/cbdata.c	27 Aug 2001 21:48:20 -0000	1.1.1.2.4.1.2.1.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: cbdata.c,v 1.1.1.2.4.1.2.1 2001/01/06 12:40:12 hno Exp $
+ * $Id: cbdata.c,v 1.1.1.2.4.1.2.1.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 45    Callback Data Registry
  * AUTHOR: Duane Wessels
@@ -70,7 +69,8 @@
 
 static int cbdataCount = 0;
 
-typedef struct _cbdata {
+typedef struct _cbdata
+{
     const void *key;
     struct _cbdata *next;
     int valid;
@@ -81,7 +81,8 @@
     const char *file;
     int line;
 #endif
-} cbdata;
+}
+cbdata;
 
 static HASHCMP cbdata_cmp;
 static HASHHASH cbdata_hash;
@@ -107,13 +108,13 @@
     debug(45, 3) ("cbdataInit\n");
     htable = hash_create(cbdata_cmp, 1 << 8, cbdata_hash);
     cachemgrRegister("cbdata",
-	"Callback Data Registry Contents",
-	cbdataDump, 0, 1);
+	"Callback Data Registry Contents", cbdataDump, 0, 1);
 }
 
 void
 #if CBDATA_DEBUG
-cbdataAddDbg(const void *p, CBDUNL * unlock_func, int id, const char *file, int line)
+cbdataAddDbg(const void *p, CBDUNL * unlock_func, int id, const char *file,
+    int line)
 #else
 cbdataAdd(const void *p, CBDUNL * unlock_func, int id)
 #endif
@@ -227,14 +228,10 @@
 #if CBDATA_DEBUG
 	storeAppendPrintf(sentry, "%20p %10s %d locks %s:%d\n",
 	    c->key,
-	    c->valid ? "VALID" : "NOT VALID",
-	    c->locks,
-	    c->file, c->line);
+	    c->valid ? "VALID" : "NOT VALID", c->locks, c->file, c->line);
 #else
 	storeAppendPrintf(sentry, "%20p %10s %d locks\n",
-	    c->key,
-	    c->valid ? "VALID" : "NOT VALID",
-	    c->locks);
+	    c->key, c->valid ? "VALID" : "NOT VALID", c->locks);
 #endif
     }
 }
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.1.1.3.4.3.2.2
retrieving revision 1.1.1.3.4.3.2.2.2.1
diff -u -r1.1.1.3.4.3.2.2 -r1.1.1.3.4.3.2.2.2.1
--- squid/src/cf.data.pre	3 Jun 2001 19:41:48 -0000	1.1.1.3.4.3.2.2
+++ squid/src/cf.data.pre	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.3.2.2.2.1
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.1.1.3.4.3.2.2 2001/06/03 19:41:48 serassio Exp $
+# $Id: cf.data.pre,v 1.1.1.3.4.3.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
 #
 #
 # SQUID Internet Object Cache  http://squid.nlanr.net/Squid/
@@ -788,6 +788,21 @@
 DOC_END
 
 
+NAME: log_redirected_url
+COMMENT: on|off
+TYPE: onoff
+LOC: Config.onoff.log_redirected_url
+DEFAULT: off
+DOC_START
+	The Cache logs original URL requested by clients to access_log.
+	This options allows to log URL like it looks after redirector 
+	processed it. May be usable when you are concerned about traffic
+	volumes. By default this is off.
+
+log_redirected_url off
+DOC_END
+
+
 NAME: pid_filename
 TYPE: string
 DEFAULT: @DEFAULT_PID_FILE@
@@ -963,7 +978,7 @@
 
 
 NAME: pinger_program
-TYPE: string
+TYPE: eol
 DEFAULT: @DEFAULT_PINGER@
 LOC: Config.Program.pinger
 DOC_START
@@ -2253,6 +2268,18 @@
 minimum_direct_hops 4
 DOC_END
 
+NAME: source_ping
+COMMENT: on|off
+TYPE: onoff
+DEFAULT: off
+LOC: Config.onoff.source_ping
+DOC_START
+	If using the ICMP pinging stuff, ping source server each time
+	url is retrieved from it.
+
+source_ping off
+DOC_END
+
 
 NAME: cachemgr_passwd
 TYPE: cachemgrpasswd
Index: squid/src/cf_gen.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf_gen.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.2.2.1
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.2.2.1
--- squid/src/cf_gen.c	3 Jun 2001 19:41:48 -0000	1.1.1.3.4.1.2.2
+++ squid/src/cf_gen.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.2.2.1
@@ -1,5 +1,5 @@
 /*
- * $Id: cf_gen.c,v 1.1.1.3.4.1.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: cf_gen.c,v 1.1.1.3.4.1.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: none
  * AUTHOR: Max Okumoto
@@ -64,18 +64,14 @@
 #if HAVE_ASSERT_H
 #include <assert.h>
 #endif
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-#include <io.h>
-#include <fcntl.h>
-#endif
-
 #include "util.h"
 
 #define MAX_LINE	1024	/* longest configuration line */
 #define _PATH_PARSER		"cf_parser.c"
 #define _PATH_SQUID_CONF	"squid.conf"
 
-enum State {
+enum State
+{
     sSTART,
     s1,
     sDOC,
@@ -83,12 +79,15 @@
     sEXIT
 };
 
-typedef struct Line {
+typedef struct Line
+{
     char *data;
     struct Line *next;
-} Line;
+}
+Line;
 
-typedef struct Entry {
+typedef struct Entry
+{
     char *name;
     char *type;
     char *loc;
@@ -99,7 +98,8 @@
     Line *doc;
     Line *nocomment;
     struct Entry *next;
-} Entry;
+}
+Entry;
 
 
 static const char WS[] = " \t";
@@ -138,9 +138,6 @@
 	perror(input_filename);
 	exit(1);
     }
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    setmode(fileno(fp), O_TEXT);
-#endif
     state = sSTART;
     while (feof(fp) == 0 && state != sEXIT) {
 	char buff[MAX_LINE];
@@ -314,18 +311,13 @@
 	perror(output_filename);
 	exit(1);
     }
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    setmode(fileno(fp), O_TEXT);
-#endif
     fprintf(fp,
 	"/*\n"
 	" * Generated automatically from %s by %s\n"
 	" *\n"
 	" * Abstract: This file contains routines used to configure the\n"
 	" *           variables in the squid server.\n"
-	" */\n"
-	"\n",
-	input_filename, argv[0]
+	" */\n" "\n", input_filename, argv[0]
 	);
     rc = gen_default(entries, fp);
     gen_default_if_none(entries, fp);
@@ -339,9 +331,6 @@
 	perror(conf_filename);
 	exit(1);
     }
-#if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
-    setmode(fileno(fp), O_TEXT);
-#endif
     gen_conf(entries, fp);
     fclose(fp);
 
@@ -360,17 +349,13 @@
 	"\tLOCAL_ARRAY(char, tmp_line, BUFSIZ);\n"
 	"\txstrncpy(tmp_line, s, BUFSIZ);\n"
 	"\txstrncpy(config_input_line, s, BUFSIZ);\n"
-	"\tconfig_lineno++;\n"
-	"\tparse_line(tmp_line);\n"
-	"}\n"
-	);
+	"\tconfig_lineno++;\n" "\tparse_line(tmp_line);\n" "}\n");
     fprintf(fp,
 	"static void\n"
 	"default_all(void)\n"
 	"{\n"
 	"\tcfg_filename = \"Default Configuration\";\n"
-	"\tconfig_lineno = 0;\n"
-	);
+	"\tconfig_lineno = 0;\n");
     for (entry = head; entry != NULL; entry = entry->next) {
 	assert(entry->name);
 	assert(entry != entry->next);
@@ -394,8 +379,7 @@
 	    fprintf(fp, "\t/* No default for %s */\n", entry->name);
 	} else {
 	    fprintf(fp, "\tdefault_line(\"%s %s\");\n",
-		entry->name,
-		entry->default_value);
+		entry->name, entry->default_value);
 	}
 	if (entry->ifdef)
 	    fprintf(fp, "#endif\n");
@@ -409,11 +393,7 @@
 gen_default_if_none(Entry * head, FILE * fp)
 {
     Entry *entry;
-    fprintf(fp,
-	"static void\n"
-	"defaults_if_none(void)\n"
-	"{\n"
-	);
+    fprintf(fp, "static void\n" "defaults_if_none(void)\n" "{\n");
     for (entry = head; entry != NULL; entry = entry->next) {
 	assert(entry->name);
 	assert(entry->loc);
@@ -424,10 +404,7 @@
 	fprintf(fp,
 	    "\tif (check_null_%s(%s))\n"
 	    "\t\tdefault_line(\"%s %s\");\n",
-	    entry->type,
-	    entry->loc,
-	    entry->name,
-	    entry->default_if_none);
+	    entry->type, entry->loc, entry->name, entry->default_if_none);
 	if (entry->ifdef)
 	    fprintf(fp, "#endif\n");
     }
@@ -447,28 +424,19 @@
 	"\tchar\t*token;\n"
 	"\tdebug(0,10)(\"parse_line: %%s\\n\", buff);\n"
 	"\tif ((token = strtok(buff, w_space)) == NULL)\n"
-	"\t\t(void) 0;\t/* ignore empty lines */\n"
-	);
+	"\t\t(void) 0;\t/* ignore empty lines */\n");
 
     for (entry = head; entry != NULL; entry = entry->next) {
 	if (strcmp(entry->name, "comment") == 0)
 	    continue;
 	if (entry->ifdef)
 	    fprintf(fp, "#if %s\n", entry->ifdef);
-	fprintf(fp, "\telse if (!strcmp(token, \"%s\"))\n",
-	    entry->name
-	    );
+	fprintf(fp, "\telse if (!strcmp(token, \"%s\"))\n", entry->name);
 	assert(entry->loc);
 	if (strcmp(entry->loc, "none") == 0) {
-	    fprintf(fp,
-		"\t\tparse_%s();\n",
-		entry->type
-		);
+	    fprintf(fp, "\t\tparse_%s();\n", entry->type);
 	} else {
-	    fprintf(fp,
-		"\t\tparse_%s(&%s);\n",
-		entry->type, entry->loc
-		);
+	    fprintf(fp, "\t\tparse_%s(&%s);\n", entry->type, entry->loc);
 	}
 	if (entry->ifdef)
 	    fprintf(fp, "#endif\n");
@@ -476,21 +444,14 @@
 
     fprintf(fp,
 	"\telse\n"
-	"\t\tresult = 0; /* failure */\n"
-	"\treturn(result);\n"
-	"}\n\n"
-	);
+	"\t\tresult = 0; /* failure */\n" "\treturn(result);\n" "}\n\n");
 }
 
 static void
 gen_dump(Entry * head, FILE * fp)
 {
     Entry *entry;
-    fprintf(fp,
-	"static void\n"
-	"dump_config(StoreEntry *entry)\n"
-	"{\n"
-	);
+    fprintf(fp, "static void\n" "dump_config(StoreEntry *entry)\n" "{\n");
     for (entry = head; entry != NULL; entry = entry->next) {
 	assert(entry->loc);
 	if (strcmp(entry->loc, "none") == 0)
@@ -500,9 +461,7 @@
 	if (entry->ifdef)
 	    fprintf(fp, "#if %s\n", entry->ifdef);
 	fprintf(fp, "\tdump_%s(entry, \"%s\", %s);\n",
-	    entry->type,
-	    entry->name,
-	    entry->loc);
+	    entry->type, entry->name, entry->loc);
 	if (entry->ifdef)
 	    fprintf(fp, "#endif\n");
     }
@@ -513,11 +472,7 @@
 gen_free(Entry * head, FILE * fp)
 {
     Entry *entry;
-    fprintf(fp,
-	"static void\n"
-	"free_all(void)\n"
-	"{\n"
-	);
+    fprintf(fp, "static void\n" "free_all(void)\n" "{\n");
     for (entry = head; entry != NULL; entry = entry->next) {
 	assert(entry->loc);
 	if (strcmp(entry->loc, "none") == 0)
Index: squid/src/client.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/Attic/client.c,v
retrieving revision 1.1.1.3.4.1.2.2
retrieving revision 1.1.1.3.4.1.2.2.2.1
diff -u -r1.1.1.3.4.1.2.2 -r1.1.1.3.4.1.2.2.2.1
--- squid/src/client.c	3 Jun 2001 19:41:48 -0000	1.1.1.3.4.1.2.2
+++ squid/src/client.c	27 Aug 2001 21:48:20 -0000	1.1.1.3.4.1.2.2.2.1
@@ -1,6 +1,5 @@
-
 /*
- * $Id: client.c,v 1.1.1.3.4.1.2.2 2001/06/03 19:41:48 serassio Exp $
+ * $Id: client.c,v 1.1.1.3.4.1.2.2.2.1 2001/08/27 21:48:20 tolsty Exp $
  *
  * DEBUG: section 0     WWW Client
  * AUTHOR: Harvest Derived
@@ -183,6 +182,12 @@
 		break;
 	    }
     }
+#ifdef _SQUID_MSWIN_
+    {
+	WSADATA wsaData;
+	WSAStartup(2, &wsaData);
+    }
+#endif
     /* Build the HTTP request */
     if (strncmp(url, "mgr:", 4) == 0) {
 	char *t = xstrdup(url + 4);
@@ -195,8 +200,7 @@
 	put_fd = open(put_file, O_RDONLY);
 	set_our_signal();
 	if (put_fd < 0) {
-	    fprintf(stderr, "%s: can't open file (%s)\n", argv[0],
-		xstrerror());
+	    fprintf(stderr, "%s: can't open file (%s)\n", argv[0], xstrerror());
 	    exit(-1);
 	}
 #if defined(_SQUID_MSWIN_) || defined(_SQUID_CYGWIN_)
@@ -249,7 +253,7 @@
 	    (void) sigaction(SIGINT, &sa, NULL);
 	}
 #else
-	void (*osig) ();
+	void (*osig) (int);
 	if ((osig = signal(SIGINT, catch)) != SIG_DFL)
 	    (void) signal(SIGINT, osig);
 #endif
@@ -268,7 +272,9 @@
 	}
 	if (client_comm_connect(conn, hostname, port, ping ? &tv1 : NULL) < 0) {
 	    if (errno == 0) {
-		fprintf(stderr, "client: ERROR: Cannot connect to %s:%d: Host unknown.\n", hostname, port);
+		fprintf(stderr,
+		    "client: ERROR: Cannot connect to %s:%d: Host unknown.\n",
+		    hostname, port);
 	    } else {
 		char tbuf[BUFSIZ];
 		snprintf(tbuf, BUFSIZ, "client: ERROR: Cannot connect to %s:%d",
@@ -278,7 +284,11 @@
 	    exit(1);
 	}
 	/* Send the HTTP request */
+#ifdef _SQUID_MSWIN_
+	bytesWritten = send(conn, msg, strlen(msg), 0);
+#else
 	bytesWritten = write(conn, msg, strlen(msg));
+#endif
 	if (bytesWritten < 0) {
 	    perror("client: ERROR: write");
 	    exit(1);
@@ -300,12 +310,22 @@
 	}
 	/* Read the data */
 
+#ifdef _SQUID_MSWIN_
+	setmode(1, O_BINARY);
+	while ((len = recv(conn, buf, sizeof(buf), 0)) > 0) {
+#else
 	while ((len = read(conn, buf, sizeof(buf))) > 0) {
+#endif
 	    fsize += len;
 	    if (to_stdout)
 		fwrite(buf, len, 1, stdout);
 	}
+#ifdef _SQUID_MSWIN_
+	(void) closesocket(conn);	/* done with socket */
+	setmode(1, O_TEXT);
+#else
 	(void) close(conn);	/* done with socket */
+#endif
 
 	if (interrupted)
 	    break;
@@ -319,7 +339,8 @@
 	    elapsed_msec = tvSubMsec(tv1, tv2);
 	    t2s = tv2.tv_sec;
 	    tmp = localtime(&t2s);
-	    fprintf(stderr, "%d-%02d-%02d %02d:%02d:%02d [%d]: %ld.%03ld secs, %f KB/s\n",
+	    fprintf(stderr,
+		"%d-%02d-%02d %02d:%02d:%02d [%d]: %ld.%03ld secs, %f KB/s\n",
 		tmp->tm_year + 1900, tmp->tm_mon + 1, tmp->tm_mday,
 		tmp->tm_hour, tmp->tm_min, tmp->tm_sec, i + 1,
 		elapsed_msec / 1000, elapsed_msec % 1000,
@@ -345,8 +366,8 @@
 	ping_mean = ping_sum / i;
 	fprintf(stderr, "%d requests, round-trip (secs) min/avg/max = "
 	    "%ld.%03ld/%ld.%03ld/%ld.%03ld\n", i,
-	    ping_min / 1000, ping_min % 1000, ping_mean / 1000, ping_mean % 1000,
-	    ping_max / 1000, ping_max % 1000);
+	    ping_min / 1000, ping_min % 1000, ping_mean / 1000,
+	    ping_mean % 1000, ping_max / 1000, ping_max % 1000);
     }
     exit(0);
     /*NOTREACHED */
@@ -369,11 +390,13 @@
 	xmemcpy(&from_addr.sin_addr, hp->h_addr, hp->h_length);
 	from_addr.sin_port = 0;
     }
-    return bind(sock, (struct sockaddr *) &from_addr, sizeof(struct sockaddr_in));
+    return bind(sock, (struct sockaddr *) &from_addr,
+	sizeof(struct sockaddr_in));
 }
 
 static int
-client_comm_connect(int sock, char *dest_host, u_short dest_port, struct timeval *tvp)
+client_comm_connect(int sock, char *dest_host, u_short dest_port,
+    struct timeval *tvp)
 {
     static const struct hostent *hp = NULL;
     static struct sockaddr_in to_addr;
@@ -390,7 +413,8 @@
     }
     if (tvp)
 	(void) Now(tvp);
-    return connect(sock, (struct sockaddr *) &to_addr, sizeof(struct sockaddr_in));
+    return connect(sock, (struct sockaddr *) &to_addr,
+	sizeof(struct sockaddr_in));
 }
 
 static int
